---
title: 'Window: storage event'
slug: Web/API/Window/storage_event
tags:
  - API
  - Event
  - Reference
  - Storage
  - Web Storage
  - Window
---
<div>{{APIRef}}</div>

<p>The <strong><code>storage</code></strong> event of the {{domxref("Window")}} interface fires when a storage area (<code>localStorage</code>) has been modified in the context of another document.</p>

<table class="properties">
 <tbody>
  <tr>
   <th>Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th>Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th>Interface</th>
   <td>{{domxref("StorageEvent")}}</td>
  </tr>
  <tr>
   <th>Event handler property</th>
   <td>{{domxref("WindowEventHandlers.onstorage", "onstorage")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<p>Log the <code>sampleList</code> item to the console when the <code>storage</code> event fires:</p>

<pre class="brush: js notranslate">window.addEventListener('storage', () =&gt; {
  // When local storage changes, dump the list to
  // the console.
  console.log(JSON.parse(window.localStorage.getItem('sampleList')));
});</pre>

<p>The same action can be achieved using the <code><a href="/en-US/docs/Web/API/WindowEventHandlers/onstorage">onstorage</a></code> event handler property:</p>

<pre class="brush: js notranslate">window.onstorage = () =&gt; {
  // When local storage changes, dump the list to
  // the console.
  console.log(JSON.parse(window.localStorage.getItem('sampleList')));
};
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'indices.html#event-storage', 'storage')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.storage_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Web_Storage_API">Web Storage API</a></li>
 <li><a href="/en-US/docs/Web/API/Web_Storage_API/Using_the_Web_Storage_API">Using the Web Storage API</a></li>
</ul>
